<?php

namespace Tests\Models;

use App\Models\airport;
use Tests\TestCase;
use Illuminate\Support\Facades\DB;

class airportTest extends TestCase
{

    private $airoport_model;

    public function setUp(): void
    {
        parent::setUp(); // TODO: Change the autogenerated stub
        $this->airoport_model = new airport();

    }

    public function tearDown(): void
    {
        parent::tearDown(); // TODO: Change the autogenerated stub
        $this->airoport_model = NULL;

    }


    public function testGetData()
    {

        $result = $this->airoport_model->find('Харків');
        var_dump($result);
        $this->assertTrue(isset($result[0]));

    }


    public function addDataProvider()
    {
        return
            [
                ['Харків',true],
                ['Одеса',true],
                ['Жуляни',true],
                ['Київ',true]
            ];

    }

    /**
     * @dataProvider addDataProvider
     */
    public function testTwo($data,$expect)
    {
        $result = $this->airoport_model->find($data);
        $this->assertEquals($expect,isset($result));
    }


    public function testTree()
    {
        $stub = $this->createMock(airport::class);

        $stub->method('find')
            ->willReturn(true);

        $this->assertTrue($stub->find('Скнилів'));

    }

}
